# Development

1. Install dependencies with `yarn` 
2. Build it with `yarn build` (builds .ts file to .js into `/dist` folder)
3. Add it in figma. 
  Open figma file.
  Go to context menu with Figma Symbol (in the top left corner)
  Select Plugins > Development > "Import Plugin from Manifest"


## Usage

For copying components from figma to oxygen you need to set up the wordpress snippet: 
php```
add_action('wp_footer', function(){ ?>
<script>
document.addEventListener('DOMContentLoaded', function() {
    document.addEventListener('keydown', function(event) {
        if (event.ctrlKey && event.altKey && event.key === 'f') {
            navigator.clipboard.readText().then(function(clipboardText) {
                window.localStorage.setItem("oxygen-componentbuffer", clipboardText);
    console.log({clipboardText});
                alert("Component pasted from Figma to Oxygen Clipboard");
            }).catch(function(error) {
                console.error("Error reading clipboard: ", error);
            });
        }
    });
});
</script>
<?php });
```

1. Select copy in figma plugin
2. press key combination (ctrl, alt,f)
3. paste with key combination